@ECHO OFF
CLS
ECHO.
ECHO *******                   DZIAL TECHNICZNY             **************
ECHO   W95F32PL.BAT - Poprawka do LANtastic 7.0 (Win95) uruchamianego na
ECHO   Windows 95 OSR/2 z FAT32
ECHO.
ECHO   Ten PATCH instaluje nowe (poprawione) biblioteki dynamiczne
ECHO   potrzebne do poprawnej wspolpracy z FAT32.
ECHO   Jezeli klient 16-bitowy (DOS, WIN 3.x) nie mogl odwolywac sie
ECHO   do katalogow i plikow na LANt 7.0 w WIN95 z FAT32, to
ECHO   ta poprawka usunie ten problem.
ECHO.  
ECHO   UWAGA: Aby W95F32PL.BAT zadzialal poprawnie, nalezy:
ECHO   - uruchomic WIN95 w trybie DOS
ECHO   - uruchomic W95F32PL.BAT z katalogu, do ktorego przekopiowane
ECHO     zostaly pliki: VLTSERV.VP_ oraz VSVRSNB.VP_ 
ECHO.
ECHO.
ECHO   Aby przerwac nacisnij CTRL-C
ECHO **********************************************************************
ECHO.
PAUSE

IF NOT EXIST %winbootdir%\SYSTEM\ATILA.VPE GOTO NOLANT70
IF NOT EXIST %winbootdir%\SYSTEM\VLTSERV.VPE GOTO ERR1VPE
IF NOT EXIST %winbootdir%\SYSTEM\VSVRSNB.VPE GOTO ERR1VPE
IF NOT EXIST VLTSERV.VP_ GOTO ERR4VPE
IF NOT EXIST VSVRSNB.VP_ GOTO ERR4VPE
IF EXIST VLTSERV.BAK GOTO ERR2VPE
IF EXIST VSVRSNB.BAK GOTO ERR2VPE

:INSTALLVPE1
CLS
ECHO.
ECHO Kopiuje stary VLTSERV.VPE do VLTSERV.BAK . . .
COPY/Y %winbootdir%\SYSTEM\VLTSERV.VPE VLTSERV.BAK > NUL
ECHO.
ECHO Kopiuje nowy VLTSERV.VPE do (WINDOWS)\SYSTEM\VLTSERV.VPE . . .
ECHO.
COPY/Y VLTSERV.VP_ %winbootdir%\SYSTEM\VLTSERV.VPE > NUL
IF ERRORLEVEL 1 GOTO ERR3VPE

:INSTALLVPE2
ECHO.
ECHO Kopiuje stary VSVRSNB.VPE do VSVRSNB.BAK . . .
COPY/Y %winbootdir%\SYSTEM\VSVRSNB.VPE VSVRSNB.BAK > NUL
ECHO.
ECHO Kopiuje nowy VSVRSNB.VPE do (WINDOWS)\SYSTEM\VSVRSNB.VPE . . .
ECHO.
COPY/Y VSVRSNB.VP_ %winbootdir%\SYSTEM\VSVRSNB.VPE > NUL
IF ERRORLEVEL 1 GOTO ERR3VPE
GOTO DONEVPE

:NOLANT70
ECHO.
ECHO                             * BLAD *
ECHO.
ECHO     LANtastic 7.0 (Win95) nie zostal znaleziony na tym dysku !
ECHO.
ECHO     Sprawdz czy zmienna 'winbootdir' jest ustawiona na katalog
ECHO     z zainstalowanym Windows 95. Aby to sprawdzic,
ECHO     napisz SET i potwierdz ENTER'em.
ECHO.
ECHO.
GOTO EXIT

:ERR1VPE
ECHO.
ECHO                             * BLAD *
ECHO.
ECHO     VLTSERV.VPE lub VSVRSNB.VPE nie zostaly znalezione w 
ECHO     w katalogu (WINDOWS)\SYSTEM. Sprawdz, czy LANtastic 7.0
ECHO     zostal zainstalowany. 
ECHO.
ECHO.
GOTO EXIT

:ERR2VPE
ECHO.
ECHO                            * UWAGA *
ECHO.
ECHO     VLTSERV.BAK lub VSVRSNB.BAK juz istnieja i beda nadpisane !
ECHO.
ECHO     Aby przerwac nacisnij CTRL-C 
ECHO     Dowolny klawisz - kontynuacja ...
ECHO.
ECHO.
PAUSE
GOTO INSTALLVPE1

:ERR3VPE
ECHO. 
ECHO                             * BLAD *
ECHO. 
ECHO     Brakuje bibliotek z PATCH'a W95F32PL.ZIP.
ECHO     Uruchom W95F32PL.BAT z katalogu z tymi bibliotekami.
ECHO.     
ECHO.
GOTO EXIT

:ERR4VPE
ECHO. 
ECHO                             * BLAD *
ECHO. 
ECHO     VLTSERV.VP_ lub VSVRSNB.VP_ nie zostaly znalezione.
ECHO.
ECHO.
GOTO EXIT

:DONEVPE
ECHO.
ECHO.
ECHO     * LANtastic 7.0 (Win95) zostal poprawiony pomyslnie  *
ECHO.
ECHO                 (Nie zapomnij zrestartowac Windows 95)
ECHO.
ECHO.
ECHO.
:EXIT
